Skip Menu |
 

This queue is for tickets about the Perl-Dist-Strawberry CPAN distribution.

Report information
The Basics
Id: 83967
Status: resolved
Priority: 0/
Queue: Perl-Dist-Strawberry

People
Owner: Nobody in particular
Requestors: richard.wiseman [...] bt.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: v5.6.3.1 apparently breaks Net::LDAP
Date: Fri, 15 Mar 2013 11:47:20 +0000
To: <bug-Perl-Dist-Strawberry [...] rt.cpan.org>
From: <richard.wiseman [...] bt.com>
Download (untitled) / with headers
text/plain 919b
Hi, I had Strawberry Perl v5.16.2.1 installed, with Net::LDAP working. I then installed v5.16.3.1 and suddenly I started getting errors when using LDAP, such as: LDAP: Couldn't bind (Error 82: Bad file descriptor). syswrite() on unopened filehandle GEN0 at C:/strawberry/perl/site/lib/Net/LDAP.pm line 844, <DATA> line 635. I upgraded Net::LDAP to the latest version via the CPAN shell; this didn't help. I completely uninstalled Strawberry Perl v5.16.3.1 (which removed the c:\strawberry directory) and reinstalled it and the Net::LDAP module via the CPAN shell; this also didn't help. I completely uninstalled Strawberry Perl v5.16.3.1 again and reinstalled v5.16.2.1 and the Net::LDAP module; Net::LDAP then worked again. For information, the installation files I used are strawberry-perl-5.16.3.1-32bit.msi and strawberry-perl-5.16.2.1-32bit.msi. I am using Windows 7. Regards, Richard
Subject: RE: [rt.cpan.org #83967] AutoReply: v5.6.3.1 apparently breaks Net::LDAP
Date: Fri, 15 Mar 2013 13:12:34 +0000
To: <bug-Perl-Dist-Strawberry [...] rt.cpan.org>
From: <richard.wiseman [...] bt.com>
Download (untitled) / with headers
text/plain 2.1k
A little extra information: I just tried installing v5.16.2.2 so I was on the latest version of v5.16.2 and this also resulted in Net::LDAP not working, so I am again reverting to v5.16.2.1. Regards, Richard Show quoted text
-----Original Message----- From: Bugs in Perl-Dist-Strawberry via RT [mailto:bug-Perl-Dist-Strawberry@rt.cpan.org] Sent: 15 March 2013 11:48 To: Wiseman,R,Richard,TUB4 R Subject: [rt.cpan.org #83967] AutoReply: v5.6.3.1 apparently breaks Net::LDAP Greetings, This message has been automatically generated in response to the creation of a trouble ticket regarding: "v5.6.3.1 apparently breaks Net::LDAP", a summary of which appears below. There is no need to reply to this message right now. Your ticket has been assigned an ID of [rt.cpan.org #83967]. Your ticket is accessible on the web at: https://rt.cpan.org/Ticket/Display.html?id=83967 Please include the string: [rt.cpan.org #83967] in the subject line of all future correspondence about this issue. To do so, you may reply to this message. Thank you, bug-Perl-Dist-Strawberry@rt.cpan.org ------------------------------------------------------------------------- Hi, I had Strawberry Perl v5.16.2.1 installed, with Net::LDAP working. I then installed v5.16.3.1 and suddenly I started getting errors when using LDAP, such as: LDAP: Couldn't bind (Error 82: Bad file descriptor). syswrite() on unopened filehandle GEN0 at C:/strawberry/perl/site/lib/Net/LDAP.pm line 844, <DATA> line 635. I upgraded Net::LDAP to the latest version via the CPAN shell; this didn't help. I completely uninstalled Strawberry Perl v5.16.3.1 (which removed the c:\strawberry directory) and reinstalled it and the Net::LDAP module via the CPAN shell; this also didn't help. I completely uninstalled Strawberry Perl v5.16.3.1 again and reinstalled v5.16.2.1 and the Net::LDAP module; Net::LDAP then worked again. For information, the installation files I used are strawberry-perl-5.16.3.1-32bit.msi and strawberry-perl-5.16.2.1-32bit.msi. I am using Windows 7. Regards, Richard
Subject: Re: [rt.cpan.org #83967] AutoReply: v5.6.3.1 apparently breaks Net::LDAP
Date: Fri, 15 Mar 2013 15:10:28 +0100
To: bug-Perl-Dist-Strawberry [...] rt.cpan.org
From: kmx <kmx [...] volny.cz>
Download (untitled) / with headers
text/plain 426b
Show quoted text
> A little extra information: I just tried installing v5.16.2.2 so I was on the latest version of v5.16.2 and this also resulted in Net::LDAP not working, so I am again reverting to v5.16.2.1.
This is strange. I have investigated diff between 5.16.2.1 vs. 5.16.2.2 and it seems that it might be IO::Socket::INET6 Could you please try to install IO::Socket::INET6 into your 5.16.2.1 and run your LDAP test again? -- kmx
Subject: RE: [rt.cpan.org #83967] AutoReply: v5.6.3.1 apparently breaks Net::LDAP
Date: Fri, 15 Mar 2013 14:23:26 +0000
To: <bug-Perl-Dist-Strawberry [...] rt.cpan.org>
From: <richard.wiseman [...] bt.com>
Download (untitled) / with headers
text/plain 927b
Yep, that broke it! I then removed the module from C:\strawberry\perl\site\lib and it started working again. :-) Thanks for the speedy response and workaround. Regards, Richard Show quoted text
-----Original Message----- From: kmx via RT [mailto:bug-Perl-Dist-Strawberry@rt.cpan.org] Sent: 15 March 2013 14:16 To: Wiseman,R,Richard,TUB4 R Subject: Re: [rt.cpan.org #83967] AutoReply: v5.6.3.1 apparently breaks Net::LDAP <URL: https://rt.cpan.org/Ticket/Display.html?id=83967 >
> A little extra information: I just tried installing v5.16.2.2 so I was on the latest version of v5.16.2 and this also resulted in Net::LDAP not working, so I am again reverting to v5.16.2.1.
This is strange. I have investigated diff between 5.16.2.1 vs. 5.16.2.2 and it seems that it might be IO::Socket::INET6 Could you please try to install IO::Socket::INET6 into your 5.16.2.1 and run your LDAP test again? -- kmx
Subject: RE: [rt.cpan.org #83967] Resolved: v5.6.3.1 apparently breaks Net::LDAP
Date: Fri, 15 Mar 2013 15:26:58 +0000
To: <bug-Perl-Dist-Strawberry [...] rt.cpan.org>
From: <richard.wiseman [...] bt.com>
Download (untitled) / with headers
text/plain 674b
It has indeed, thanks. I can also confirm that installing v5.6.3.1 and then renaming C:\strawberry\perl\vendor\lib\IO\Socket\INET6.pm to C:\strawberry\perl\vendor\lib\IO\Socket\INET6.pm.hidden fixes the problem. Thanks again, Richard Show quoted text
-----Original Message----- From: kmx via RT [mailto:bug-Perl-Dist-Strawberry@rt.cpan.org] Sent: 15 March 2013 14:47 To: Wiseman,R,Richard,TUB4 R Subject: [rt.cpan.org #83967] Resolved: v5.6.3.1 apparently breaks Net::LDAP <URL: https://rt.cpan.org/Ticket/Display.html?id=83967 > According to our records, your request has been resolved. If you have any further questions or concerns, please respond to this message.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.